package com.bytedance.android.livesdk;

import X.0CH;
import X.0UT;
import X.1hK;
import X.C2272GYv;
import X.C4200HAz;
import X.C4815HYq;
import X.C4816HYr;
import X.GVK;
import X.GZX;
import android.graphics.Bitmap;
import androidx.fragment.app.Fragment;
import com.bytedance.android.livesdk.model.AbsBarrageWidget;
import com.bytedance.android.livesdkapi.depend.model.live.Room;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;

public interface IBarrageService extends 0UT {
    static {
        Covode.recordClassIndex(11216);
    }

    void configInteractionHelper(Fragment fragment, DataChannel dataChannel, GVK gvk);

    void configLikeHelper(1hK r1, 0CH r2, Room room, GZX gzx, boolean z, boolean z2, boolean z3, DataChannel dataChannel);

    String formatLikeNumber(long j);

    AbsBarrageWidget getBarrageWidget();

    C4816HYr getDiggBarrage(Bitmap bitmap, Double d);

    C4815HYq getDiggController(C4200HAz hAz, int i);

    C2272GYv getLikeHelper(long j);

    Class<? extends LiveRecyclableWidget> getLikeUserInfoAnimWidgetClass(C2272GYv gYv);

    Class<? extends LiveRecyclableWidget> getOthersLikeWidgetClass(C2272GYv gYv);

    Class<? extends LiveRecyclableWidget> getSelfLikeWidgetClass(C2272GYv gYv);

    void preloadApi();

    void releaseLikeHelper(long j);
}
